#include <algorithm>
#include <iostream>
#include <vector>
using namespace std;

#define MAX 500000

/**
 * Lessons:
 *  - Nice to notice large numbers, but need to notice REALLY large numbers
 *  - Whenever there are choices involved, think of DP first
 */
int main() {
	vector<long long> val_count(MAX + 1);
	for(int i = 0; i <= MAX; i++) {
		val_count[i] = 0;
	}

	int n;
	cin >> n;

	int highest = 0;
	for(int i = 0; i < n; i++) {
		int val;
		cin >> val;
		val_count[val]++;
		highest = max(highest, val);
	}

	vector<long long> dp_include(MAX + 1);
	vector<long long> dp_exclude(MAX + 1);
	for(long long val = 1; val <= highest; val++) {
		dp_include[val] = val_count[val] * val + dp_exclude[val - 1];
		dp_exclude[val] = max(dp_include[val - 1], dp_exclude[val - 1]);
	}

	cout << max(dp_include[highest], dp_exclude[highest]) << '\n';

	return 0;
}

